GuidesAPI ReferenceChangelogAPI StatusAPI PolicyGusto Security
API Reference

Create a flow

Generate a link to access a pre-built workflow in Gusto white-label UI. For security, all generated flows will expire within 1 hour of inactivity or 24 hours from creation time, whichever comes first.

You can see a list of all possible flow types in our Flow Types guide.

You can also mix and match flow_types in the same category to create custom flows suitable for your needs.

For instance, to create a custom onboarding flow that only includes add_addresses, add_employees, and sign_all_forms steps, simply stitch those flow_types together into a comma delimited string:

{
  "flow_type": "add_addresses,add_employees,sign_all_forms"
}

Please be mindful of data dependencies in each step to achieve the best user experience.

For more information and in-depth guides review the Getting Started guide for flows.

scope: flows:write

Path Params
string
required

The UUID of the company

Body Params
string
required

The type of flow to generate. Multiple flow types can be combined by separating them with commas (e.g., "add_addresses,add_employees,sign_all_forms").

string

UUID of the target entity applicable to the flow. This field is optional for company flows.

string
enum

The type of target entity applicable to the flow. This field is optional for company flows.

Allowed:
options
object

Optional configuration object that varies based on the flow_type. This can contain arbitrary key-value pairs specific to the flow being generated.

Headers
string
enum
Defaults to 2026-02-01

Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.

Allowed:
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json